### Enumeration

# Pango Weight

since: 1.0

#### Declaration

    enum Pango.Weight

#### Description [src]

An enumeration specifying the weight (boldness) of a font.

Weight is specified as a numeric value ranging from 100 to 1000. This enumeration simply provides some common, predefined values.

Available since: 1.0

#### Members

`PANGO_WEIGHT_THIN`

  The thin weight (= 100) Since: 1.24

  - Value: `100`
  - Nickname: `thin`
  - Available since: 1.0
`PANGO_WEIGHT_ULTRALIGHT`

  The ultralight weight (= 200)

  - Value: `200`
  - Nickname: `ultralight`
  - Available since: 1.0
`PANGO_WEIGHT_LIGHT`

  The light weight (= 300)

  - Value: `300`
  - Nickname: `light`
  - Available since: 1.0
`PANGO_WEIGHT_SEMILIGHT`

  The semilight weight (= 350) Since: 1.36.7

  - Value: `350`
  - Nickname: `semilight`
  - Available since: 1.0
`PANGO_WEIGHT_BOOK`

  The book weight (= 380) Since: 1.24)

  - Value: `380`
  - Nickname: `book`
  - Available since: 1.0
`PANGO_WEIGHT_NORMAL`

  The default weight (= 400)

  - Value: `400`
  - Nickname: `normal`
  - Available since: 1.0
`PANGO_WEIGHT_MEDIUM`

  The medium weight (= 500) Since: 1.24

  - Value: `500`
  - Nickname: `medium`
  - Available since: 1.0
`PANGO_WEIGHT_SEMIBOLD`

  The semibold weight (= 600)

  - Value: `600`
  - Nickname: `semibold`
  - Available since: 1.0
`PANGO_WEIGHT_BOLD`

  The bold weight (= 700)

  - Value: `700`
  - Nickname: `bold`
  - Available since: 1.0
`PANGO_WEIGHT_ULTRABOLD`

  The ultrabold weight (= 800)

  - Value: `800`
  - Nickname: `ultrabold`
  - Available since: 1.0
`PANGO_WEIGHT_HEAVY`

  The heavy weight (= 900)

  - Value: `900`
  - Nickname: `heavy`
  - Available since: 1.0
`PANGO_WEIGHT_ULTRAHEAVY`

  The ultraheavy weight (= 1000) Since: 1.24

  - Value: `1000`
  - Nickname: `ultraheavy`
  - Available since: 1.0